## ros-melodic-pilz-status-indicator-rqt 0.5.21

=== debian/changelog ===
ros-melodic-pilz-status-indicator-rqt (0.5.21-1stretch) stretch; urgency=high

  * Update references to OperationMode msg and GetOperationMode srv (moved to pilz_msgs)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.20-1stretch) stretch; urgency=high

  * Update package.xml for python 3
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.19-1stretch) stretch; urgency=high

  * Hide currently unsupported ui elements
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.18-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.17-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.16-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.15-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.14-1stretch) stretch; urgency=high

  * Adds basic view for operation_mode, status, speed
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

## ros-melodic-pilz-status-indicator-rqt 0.5.23

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_status_indicator_rqt)

find_package(catkin REQUIRED COMPONENTS
  rospy
  rqt_gui
  rqt_gui_py
)
catkin_package()
catkin_python_setup()

install(PROGRAMS scripts/${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY
  resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES
  plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  catkin_add_nosetests(test/unit_tests/status_indicator_unit_test.py)
  catkin_add_nosetests(test/unit_tests/status_indicator_widget_unit_test.py)

  # To generate coverage run:
  #     python-coverage run -a --source src test/unit_tests/status_indicator_unit_test.py && \
  #     python-coverage run -a --source src test/unit_tests/status_indicator_widget_unit_test.py && \
  #     python-coverage html && see htmlcov/index.html
endif()

=== debian/changelog ===
ros-melodic-pilz-status-indicator-rqt (0.5.23-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 20 Jul 2021 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.22-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 11 Jul 2021 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.21-1bionic) bionic; urgency=high

  * Update references to OperationMode msg and GetOperationMode srv (moved to pilz_msgs)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.20-1bionic) bionic; urgency=high

  * Update package.xml for python 3
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.19-1bionic) bionic; urgency=high

  * Hide currently unsupported ui elements
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.18-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.17-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.16-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.15-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-pilz-status-indicator-rqt (0.5.14-1bionic) bionic; urgency=high

  * Adds basic view for operation_mode, status, speed
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-pilz-status-indicator-rqt
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), python-mock, ros-melodic-catkin, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-pilz-status-indicator-rqt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-pilz-msgs, ros-melodic-rospy, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-std-msgs
Description: Showing information about operation mode, status and speed override of the robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pilz-status-indicator-rqt//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
